Summary:	A clock for the X Window System
Name:		xdaliclock
Version:	2.18
Release:	10mdk
Group:		Toys
URL:		http://www.jwz.org/xdaliclock/

BuildRequires:	XFree86-devel
License:	MIT

Source0:	http://www.jwz.org/xdaliclock/xdaliclock-%{version}.tar.bz2
Source1:	%{name}_menuentry
Patch:		%{name}-shape-cycle.patch.bz2

BuildRoot:	%_tmppath/%name-%version-%release-root

%description
The xdaliclock program displays a digital clock, with digits that merge
into the new digits as the time changes.  Xdaliclock can display the time
in 12 or 24 hour modes and can will display the date if you hold your
mouse button down over it.  Xdaliclock has two large fonts built in, but
is capable of animating other fonts.

Install the xdaliclock package if you want a fairly large clock, with
a melting special effect, for your system.

%prep
%setup -q
%patch -p1

%build
cd X11
CFLAGS="%optflags" ./configure --prefix=/usr/X11R6
%make

%install
rm -fr %buildroot

cd X11
install -d -m 0755 %buildroot/%_prefix/X11R6/{bin,man/man1}
make prefix=%buildroot/%_prefix/X11R6 install

install -d -m 0755 %buildroot/%_menudir
install -m 644 %SOURCE1 %buildroot/%_menudir/xdaliclock


%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_prefix/X11R6/bin/xdaliclock
%_prefix/X11R6/man/man1/xdaliclock.1*
%_menudir/*

%changelog
* Thu Jan 10 2002 David BAUDENS <baudens@mandrakesoft.com> 2.18-10mdk
- Fix %%post

* Wed Jan 09 2002 David BAUDENS <baudens@mandrakesoft.com> 2.18-9mdk
- Fix menu entry
- Use macros

* Thu Nov  1 2001 dam's <damien@mandrakesoft.com> 2.18-8mdk
- added URL tag.

* Mon Aug 13 2001 dam's <damien@mandrakesoft.com> 2.18-7mdk
- rebuilt

* Mon Nov 27 2000 dam's <damien@mandrakesoft.com> 2.18-6mdk
- corrected menu, icons.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.18-5mdk
- automatically added BuildRequires

* Fri Apr 28 2000 Daouda Lo <daouda@mandrakesoft.com> 2.18-4mdk
- 32*32 icon
- some minor changes to spec.
- make package relocatable

* Tue Apr 18 2000 dam's <damiens@mandrakesoft.com> 2.18-3mdk
- Convert gif icon to xpm.

* Mon Apr 17 2000 dam's <damiens@mandrakesoft.com> 2.18-2mdk
- Added menu entry.

* Mon Mar 27 2000 dam's <damiens@mandrakesoft.com> 2.18-1mdk
- Update to 2.18

* Tue Nov 02 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- rebuild for new environment

* Thu May 06 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Wed Feb 24 1999 Bill Nottingham <notting@redhat.com>
- wmconfig goes away...

* Tue Jan  5 1999 Bill Nottingham <notting@redhat.com>
- update to 2.14

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- update to 2.13

* Wed Aug 12 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
